Skip to main content
`Ctrl`+`K`

# numpy.char.chararray.flat

attribute

char.chararray.flat

  A 1-D iterator over the array.

  This is a `numpy.flatiter` instance, which acts similarly to, but is not a subclass of, Python’s built-in iterator object.

  See also

  `flatten`

    Return a copy of the array collapsed into one dimension.

  `flatiter`

  Examples

      >>> import numpy as np
      >>> x = np.arange(1, 7).reshape(2, 3)
      >>> x
      array([[1, 2, 3],
             [4, 5, 6]])
      >>> x.flat[3]
      4
      >>> x.T
      array([[1, 4],
             [2, 5],
             [3, 6]])
      >>> x.T.flat[3]
      5
      >>> type(x.flat)
      <class 'numpy.flatiter'>

  An assignment example:

      >>> x.flat = 3; x
      array([[3, 3, 3],
             [3, 3, 3]])
      >>> x.flat[[1,4]] = 1; x
      array([[3, 1, 3],
             [3, 1, 3]])